# Update a Price List Type Updates the Price List Type. Endpoint: POST /update/PLTT Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `operationType` (string) - `textMatchStyle` (string) - `data` (object) - `data.version` (integer) - `data.typedId` (string) - `data.uniqueName` (string) - `data.label` (string) - `data.createdByName` (string) - `data.lastUpdateByName` (string) - `data.targetDate` (string) - `data.userGroupEdit` (string) - `data.userGroupViewDetails` (string) - `data.userGroupCanUseType` (string) - `data.typeConfiguration` (object) - `data.typeConfiguration.elementNames` (array) - `data.typeConfiguration.resultElementName` (string) - `data.typeConfiguration.shotgunModeEnabled` (boolean) - `data.buttonsConfiguration` (object) - `data.headerFormulaName` (string) - `data.dimensionType` (string) - `data.calculationFormulaName` (string) - `data.matrixFormulaName` (string) - `data.matrixFormulaElementName` (string) - `data.customActionLogics` (string) - `data.contextualActions` (object) - `data.createDate` (string) - `data.createdBy` (integer) - `data.lastUpdateDate` (string) - `data.lastUpdateBy` (integer) - `data.id` (integer) - `oldValues` (object) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.version` (integer) - `response.data.typedId` (string) - `response.data.uniqueName` (string) - `response.data.label` (string) - `response.data.createdByName` (string) - `response.data.lastUpdateByName` (string) - `response.data.targetDate` (string) - `response.data.typeConfiguration` (object) - `response.data.typeConfiguration.errorMode` (string) - `response.data.typeConfiguration.elementNames` (array) - `response.data.typeConfiguration.overridableFields` (array) - `response.data.typeConfiguration.resultElementName` (string) - `response.data.typeConfiguration.hiddenElementNames` (array) - `response.data.typeConfiguration.notifyWhenFinished` (string) - `response.data.typeConfiguration.shotgunModeEnabled` (boolean) - `response.data.typeConfiguration.calculationLogicInputs` (array) - `response.data.typeConfiguration.calculationLogicInputs.name` (string) - `response.data.typeConfiguration.calculationLogicInputs.type` (string) - `response.data.typeConfiguration.calculationLogicInputs.inputs` (array) - `response.data.typeConfiguration.calculationLogicInputs.valueOptions` (array) - `response.data.typeConfiguration.calculationLogicInputs.parameterConfig` (object) - `response.data.typeConfiguration.calculationLogicInputs.formattingOptions` (object) - `response.data.typeConfiguration.userCanToggleVisibility` (array) - `response.data.typeConfiguration.calcLogicInputsOverridableFields` (array) - `response.data.buttonsConfiguration` (object) - `response.data.headerFormulaName` (string) - `response.data.dimensionType` (string) - `response.data.calculationFormulaName` (string) - `response.data.contextualActions` (object) - `response.data.createDate` (string) - `response.data.createdBy` (integer) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (integer) - `response.data.id` (integer) - `response.status` (integer)